PETSc version 3.15.5
Fix/Edit manual page

# KSPGuessFischerSetModel

Use the Paul Fischer algorithm

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGuessFischerSetModel(KSPGuess guess,PetscInt model,PetscInt size)

Logically Collective on guess

### Input Parameters

| guess | - the initial guess context
| model | - use model 1, model 2 or any other number to turn it off
| size | - size of subspace used to generate initial guess

### Options Database

| -ksp_guess_fischer_model <model,size> | - uses the Fischer initial guess generator for repeated linear solves

### See Also

KSPGuess, KSPGuessCreate(), KSPSetUseFischerGuess(), KSPSetGuess(), KSPGetGuess(), KSP

### Level

advanced

### Location

src/ksp/ksp/guess/impls/fischer/fischer.c

### Implementations

KSPGuessFischerSetModel_Fischer in src/ksp/ksp/guess/impls/fischer/fischer.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages